package com.inspect.alarmdefect.service;

import com.inspect.alarmdefect.domain.AlarmDefect;

import java.util.List;

public interface IAlarmDefectService {
    AlarmDefect selectAlarmDefectByLineId(Long lineId);

    List<AlarmDefect> selectAlarmDefectList(AlarmDefect defect);

    int insertAlarmDefect(AlarmDefect defect);

    int updateAlarmDefect(AlarmDefect defect);

    int deleteAlarmDefectByLineIds(Long[] lineIds);

    int deleteAlarmDefectByLineId(Long lineId);
}
